import { ItemInfo, ItemType } from "./definitions/adventureland";
import { Attribute, GData2, GItem, ItemName, SkillName } from "./definitions/adventureland-data";
import { ItemData } from "./definitions/adventureland-server";
export declare class Item implements ItemData, ItemInfo, Partial<GItem> {
    protected G: GData2;
    name: ItemName;
    l?: number;
    level?: number;
    stat_type?: Attribute;
    id: ItemName;
    skin: string;
    type: ItemType;
    a: boolean | number;
    ability?: "burn" | "freeze" | "posion" | "poke" | "restore_mp" | "secondchance" | "sugarrush" | "weave" | SkillName;
    acolor?: string;
    action?: string;
    g: number;
    constructor(data: ItemData | ItemInfo, G: GData2);
    calculateMinimumCost(): number;
    isLocked(): boolean;
}
